Помогите загрузить хороший софт для глаз ( x.flux )

K

KaliKale

Всем привет! Я очень привык к программе x.flux на винде. Установил в dual boot kali и очень напрягает яркость экрана. X.flux автоматически регулирует яркость и нагрузка на глаза намного меньше (имхо маст хев прога). Оказалось для linux тоже существует вариант ( ) и есть страничка на гит хабе ( ). Ребята помогите плз.

Я не могу установить ее. Я пробовал сделать вот это :

# Install dependencies
sudo apt-get install git python-appindicator python-xdg python-pexpect python-gconf python-gtk2 python-glade2 libxxf86vm1

# Download fluxgui
cd /tmp
git clone " "
cd fluxgui
python download-xflux.py

# EITHER install globally
sudo python setup.py install
# EXCLUSIVE OR, install in your home directory. The binary installs
# into ~/.local/bin, so be sure to add that to your PATH if installing locally.
python setup.py install --user

# Run flux
fluxgui

потом вот это :

sudo add-apt-repository ppa:nathan-renniewaldock/flux ( bash: add-apt-repository: command not found )
sudo apt-get update
sudo apt-get install fluxgui

и просто apt-get install flugxui.

Ничего не получается, так же скачал с cайта архив , потом запускал ./xflux и вводил нужные данные и ничего не происходит.

Возможно ли ее загрузить как то в Kali что бы был графический интерфейс как тут на ubuntu ( ) ?

Сказано что прога работает только со второй версией python - у меня Python 2.7.14+

П.С. не хватает скилзов у меня , я так понял что ее нет в репозиториях. Я в этом не разбираюсь, боюсь заруинить систему.
 
g3r01n

g3r01n

Well-known member
30.10.2017
137
68
Что именно не получается? Что пишет?
 
K

KaliKale

Что именно не получается? Что пишет?
Зависит от способа установки

1. Если скачать архив A 64-bit version with multiple monitor support is available here: от сюда ( ) - то просто запускаю через ./xflux и ввожу зип код и другую инфу и ничего не происходит , хотя иногда появляется это (Found 1 screen.Sorry, we only support 8 and 10-bit displays right now.

2. Когда пытаюсь сделать из гайда по установке на ubuntu то bash: add-apt-repository: command not found (когда написал sudo add-apt-repository ppa:nathan-renniewaldock/flux )

3. Если просто через apt-get install fluxgui то вот это :

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package fluxgui
 
N

n01n02h

Зависит от способа установки

1. Если скачать архив A 64-bit version with multiple monitor support is available here: от сюда ( ) - то просто запускаю через ./xflux и ввожу зип код и другую инфу и ничего не происходит , хотя иногда появляется это (Found 1 screen.Sorry, we only support 8 and 10-bit displays right now.

2. Когда пытаюсь сделать из гайда по установке на ubuntu то bash: add-apt-repository: command not found (когда написал sudo add-apt-repository ppa:nathan-renniewaldock/flux )

3. Если просто через apt-get install fluxgui то вот это :

Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package fluxgui
Скачиваешь и как на скрине
 

Вложения

K

KaliKale

Скачиваешь и как на скрине
Я так делал ( пункт #1 ) из прошлого поста. Когда я исполняю файл вроде бы появляется меню :

--------
Welcome to xflux (f.lux for X)
This will only work if you're running X on console.

Usage: ./xflux [-z zipcode | -l latitude] [-g longitude] [-k colortemp (default 3400)] [-r 1 (use randr)] [-nofork]
protip: Say where you are (use -z or -l).

но когда я ввожу переменные то ничего не происходит
 
N

n01n02h

Я так делал ( пункт #1 ) из прошлого поста. Когда я исполняю файл вроде бы появляется меню :

--------
Welcome to xflux (f.lux for X)
This will only work if you're running X on console.

Usage: ./xflux [-z zipcode | -l latitude] [-g longitude] [-k colortemp (default 3400)] [-r 1 (use randr)] [-nofork]
protip: Say where you are (use -z or -l).

но когда я ввожу переменные то ничего не происходит
Ну это уже проблемы не с загрузкой и запуском, а с самой программой или с Вашими руками.
Научитесь создавать темы с верным названием и описанием.
 
  • Нравится
Реакции: Axon
A

arfaxad

самое полезное для зрительного анализатора и цилиарной мышцы
глаза — это правильный драйвер видеокарты и частота монитора
отличная от 60 герц в сторону увеличения.
тёмные гаммы декораций и обоев и интерфейса в целом это тоже
не совсем панацея от проблем зрения, для примера вот этот жук
абсолютно белого цвета : ))
 
Мы в соцсетях: